OpenVDB 7.0.0

Classes | Namespaces | Functions
Mask.h File Reference

Construct boolean mask grids from grids of arbitrary type. More...

`#include <openvdb/Grid.h>`
`#include "LevelSetUtil.h"`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::tools
| openvdb::v7_0::tools::mask_internal

## Functions
template<typename GridType >
GridType::template ValueConverter< bool >::Type::Ptr | interiorMask (const GridType &grid, const double isovalue=0.0)
| Given an input grid of any type, return a new, boolean grid whose active voxel topology matches the input grid's or, if the input grid is a level set, matches the input grid's interior. More...

## Detailed Description

Construct boolean mask grids from grids of arbitrary type.